$highlight-color: rgb(70, 112, 155);

.clearfix {
  clear: both;
}

#search-header {
  margin: 20px;

  .search-total {
    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
    font-weight: bold;
    font-size: 1.1em;
  }
  .search-query {
    white-space: pre;
    background: fade_out(black, 0.9);
    padding: 2px 3px;
  }
}

.search-result {
  display: block;
  margin: 20px 0;
  border: 1px solid fade_out(black, 0.6);

  .search-result-header {
    background: fade_out($highlight-color, .85);
    display: block;
    border-bottom: 1px solid fade_out(black, 0.8);
    padding: 5px 10px;
    text-decoration: none;
    color: black;

    &:hover, &:active, &:focus {
      background: fade_out($highlight-color, .6);
    }

    .search-meta {
      float: right;
      font-size: 0.8em;

      .search-score {
        font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
      }
    }
  }

  .search-result-body {
    padding: 5px 10px;
    font-size: 0.9em;

    .parent, .self {
      text-decoration: none;
      color: fade_out(black, 0.4);

      &:hover, &:active, &:focus {
        color: mix($highlight-color, black, 50%);
        text-decoration: underline;
      }
    }
  }
}
